import request from '@/utils/request';
// 获取企业列表 deleteStatus = 1代表禁用
export function getCategoryList(params) {
  return request({
    url: '/companyUser/getCategoryList',
    params
  });
}
// 禁用/启用企业 isOpen = true代表启用
export function handleCompanyUser(params) {
  return request({
    url: '/companyUser/handleCompanyUser',
    params
  });
}
// 删除企业
export function deleteCompanyUser(params) {
  return request({
    url: '/companyUser/deleteCompanyUser',
    params
  });
}
// 重置密码
export function resetPw(data) {
  return request({
    url: '/companyUser/resetPw',
    method: 'post',
    data
  });
}
// 验证手机号是否已经注册
export function checkPhoneExist(params) {
  return request({
    url: '/companyUser/checkPhoneExist',
    params
  });
}
// 添加企业
export function addCompanyUser(data) {
  return request({
    url: '/companyUser/addCompanyUser',
    method: 'post',
    data
  });
}
// 修改企业
export function updateCompanyUser(data) {
  return request({
    url: '/companyUser/updateCompanyUser',
    method: 'post',
    data
  });
}
// 获取修改企业数据回显
export function getCompanyUserInfo(params) {
  return request({
    url: '/companyUser/getCompanyUserInfo',
    params
  });
}
// 获取设置企业画像初始化数据
export function getLabelSetting(params) {
  return request({
    url: '/companyUser/getLabelSetting',
    params
  });
}
